stages:
  - deploy

variables:
  GIT_DEPTH: 1


pages:
  image: jekyll/jekyll:3.6
  stage: deploy
  script:
    - rm Gemfile
    - jekyll build -d public
    - apk add gzip --update-cache --repository http://dl-3.alpinelinux.org/alpine/edge/testing/ --allow-untrusted
    - gzip -v -k -6 $(find public -name '*.js' -o -name '*.html' -o -name '*.css')
  artifacts:
    paths:
      - public
  only:
    - master


test with latest jekyll:
  image: jekyll/jekyll:latest
  stage: deploy
  script:
    - rm Gemfile
    - jekyll build -d public
